FWANALOG(1)

NAME
fwanalog - iptables log-file analyzer

SYNOPSIS
fwanalog [-h | --help] [-c conffile][-r] [-t ] [-y] [-a IP-addr] [-p packet]

DESCRIPTION
This manual page documents briefly the fwanalog command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

fwanalog is a program that parses firewall log-files, and analyzes them with analog. For a complete list of supported log-files formats see /usr/share/doc/fwanalog/README.Debian

OPTIONS
The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the documentation in /usr/share/doc/fwanalog

-h, --help
    Show summary of options.

-r  Rotate log cache (not necessary anymore).

-t  Only update statistics for today (e.g. for hourly use). The sep_hosts and sep_packets commands in fwanalog.opts are ignored.

-y  Like -t, but only for yesterday

-a IP-addr
    Create a separate report for this host

-p packet
    Create a separate report for this packet. Format: target/protocol/portnumber e.g. 192.168.0.1/tcp/21 or firewall/udp/137

FILES
/etc/fwnalog/fwanalog.opts, user-changeable options

AUTHOR
This manual page was originally written by Kenneth Vestergaard Schmidt <charon@debian.org> for the Debian GNU/Linux system (but may be used by others). Subsequent updates by Igor Genibel <igenibel@debian.org> and Emanuele Rocca <ema@debian.org>.